#### PyKDE - Python Bindings for KDE

# class KPreviewWidgetBase |
Table of contents
Modules
kfile Classes
All Classes

Module | kfile
Class | KPreviewWidgetBase (abstract)
Inherits | QWidget

### methods

- KPreviewWidgetBase (parent, name = 0)

  returns a KPreviewWidgetBase instance
  Argument | Type | Default
  --- | --- | ---
  parent | QWidget |
  name | char | 0

- clearPreview () = 0

  returns nothing
  pure virtual

- setSupportedMimeTypes (mimeTypes)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  mimeTypes | QStringList |

- showPreview (url) = 0

  returns nothing
  pure virtual
  Argument | Type | Default
  --- | --- | ---
  url | KURL |

- supportedMimeTypes ()

  returns (QStringList)
  In versions KDE 3.2.0 and above only